---
title: HTMLImageElement.naturalWidth
slug: Web/API/HTMLImageElement/naturalWidth
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Intrinsic Width
  - Intrinsic size
  - Property
  - Reference
  - naturalWidth
  - size
  - width
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLImageElement")}} interface's read-only <code><strong>naturalWidth</strong></code> property returns the intrinsic (natural), density-corrected width of the image in {{Glossary("CSS pixel", "CSS pixels")}}.</span> This is the width the image is if drawn with nothing constraining its width; if you neither specify a width for the image nor place the image inside a container that limits or expressly specifies the image width, this is the number of CSS pixels wide the image will be.</p>

<p>The corresponding {{domxref("HTMLImageElement.naturalHeight", "naturalHeight")}} method returns the natural height of the image.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>naturalWidth</em> = <em>htmlImageElement</em>.naturalWidth;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the intrinsic width of the image, in CSS pixels. This is the width at which the image is naturally drawn when no constraint or specific value is established for the image. This natural width is corrected for the pixel density of the device on which it's being presented, unlike the value of {{domxref("HTMLImageElement.width", "width")}}.</p>

<p>If the intrinsic width is not available—either because the image does not specify an intrinsic width or because the image data is not available in order to obtain this information, <code>naturalWidth</code> returns 0.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/HTMLImageElement/naturalHeight", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-naturalwidth', 'HTMLImageElement.naturalWidth')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.naturalWidth")}}</p>
